"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  changeContributorLocation: () => changeContributorLocation2,
  changeRole: () => changeRole2,
  getContributorsQuota: () => getContributorsQuota2,
  getSiteContributorsV2: () => getSiteContributorsV22,
  querySiteContributors: () => querySiteContributors2
});
module.exports = __toCommonJS(meta_exports);

// src/identity-v1-contributor-contributors.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_field_mask = require("@wix/sdk-runtime/transformations/field-mask");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressRolesManagementApiSiteRolesManagementServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/contributors/accept",
        destPath: "/contributors/accept"
      },
      {
        srcPath: "/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/team/accept",
        destPath: "/team/accept"
      },
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/app/accept",
        destPath: "/app/accept"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/roles-management-web",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/contributors/accept",
        destPath: "/contributors/accept"
      },
      {
        srcPath: "/team/accept",
        destPath: "/team/accept"
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/v2/contributors",
        destPath: "/v2/contributors"
      },
      {
        srcPath: "/contributor/change/role",
        destPath: "/contributor/change/role"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/roles-management",
        destPath: ""
      },
      {
        srcPath: "/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/roles-management/roles",
        destPath: "/roles"
      },
      {
        srcPath: "/roles-management/team",
        destPath: "/team"
      },
      {
        srcPath: "/roles-management/v3/team",
        destPath: "/v3/team"
      },
      {
        srcPath: "/roles-management/v2/team",
        destPath: "/v2/team"
      },
      {
        srcPath: "/roles-management/contributor/change",
        destPath: "/contributor/change"
      },
      {
        srcPath: "/roles-management/v2/contributors",
        destPath: "/v2/contributors"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_user-management_contributors";
function getSiteContributorsV2(payload) {
  function __getSiteContributorsV2({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_field_mask.transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "fields" }]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.identity.v1.contributor",
      method: "GET",
      methodFqn: "com.wixpress.roles.management.api.SiteRolesManagementService.GetSiteContributorsV2",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiSiteRolesManagementServiceUrl({
        protoPath: "/v2/contributors",
        data: serializedData,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(serializedData),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "contributors.joinedAt" },
            { path: "invites.dateCreated" },
            { path: "invites.expirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getSiteContributorsV2;
}
function changeRole(payload) {
  function __changeRole({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.v1.contributor",
      method: "PUT",
      methodFqn: "com.wixpress.roles.management.api.SiteRolesManagementService.ChangeRole",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiSiteRolesManagementServiceUrl({
        protoPath: "/contributor/change/role",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __changeRole;
}
function changeContributorLocation(payload) {
  function __changeContributorLocation({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.v1.contributor",
      method: "PUT",
      methodFqn: "com.wixpress.roles.management.api.SiteRolesManagementService.ChangeContributorLocation",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiSiteRolesManagementServiceUrl({
        protoPath: "/contributor/change/locations",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __changeContributorLocation;
}
function querySiteContributors(payload) {
  function __querySiteContributors({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.v1.contributor",
      method: "GET",
      methodFqn: "com.wixpress.roles.management.api.SiteRolesManagementService.QuerySiteContributors",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiSiteRolesManagementServiceUrl({
        protoPath: "/v2/contributors/query",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __querySiteContributors;
}
function getContributorsQuota(payload) {
  function __getContributorsQuota({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.v1.contributor",
      method: "GET",
      methodFqn: "com.wixpress.roles.management.api.SiteRolesManagementService.GetContributorsQuota",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiSiteRolesManagementServiceUrl({
        protoPath: "/v2/contributors/quota",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __getContributorsQuota;
}

// src/identity-v1-contributor-contributors.meta.ts
function getSiteContributorsV22() {
  const payload = {};
  const getRequestOptions = getSiteContributorsV2(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/contributors",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function changeRole2() {
  const payload = {};
  const getRequestOptions = changeRole(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PUT",
    path: "/contributor/change/role",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function changeContributorLocation2() {
  const payload = {};
  const getRequestOptions = changeContributorLocation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PUT",
    path: "/contributor/change/locations",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function querySiteContributors2() {
  const payload = {};
  const getRequestOptions = querySiteContributors(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/contributors/query",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getContributorsQuota2() {
  const payload = {};
  const getRequestOptions = getContributorsQuota(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/contributors/quota",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  changeContributorLocation,
  changeRole,
  getContributorsQuota,
  getSiteContributorsV2,
  querySiteContributors
});
//# sourceMappingURL=meta.js.map