import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { C as ChangeRoleOptions, a as ChangeContributorRoleResponse, b as ChangeContributorLocationOptions, c as ChangeContributorLocationResponse, Q as QuerySiteContributorsOptions, d as QuerySiteContributorsResponse } from './identity-v1-contributor-contributors.universal-B0tzR-hk.mjs';
export { t as AccountInfo, ae as AppInvite, h as AssignedPolicy, A as Assignment, Y as BulkGetUserRolesOnSiteRequest, _ as BulkGetUserRolesOnSiteResponse, a0 as BulkValidateEmailInviteEligibilityRequest, a1 as BulkValidateEmailInviteEligibilityResponse, a5 as ChangeContributorLocationRequest, a3 as ChangeContributorRoleRequest, o as CompanionResource, m as Condition, e as ConditionAttributeType, l as Conditions, g as Contributor, x as ContributorLimit, a9 as ContributorV2, H as ContributorsQuota, J as ContributorsQuotaOptionsOneOf, a2 as EmailInviteEligibility, F as FieldSet, ac as GetAppContributorsRequest, ad as GetAppContributorsResponse, aa as GetContributorsQuotaRequest, ab as GetContributorsQuotaResponse, V as GetCurrentUserRolesRequest, W as GetCurrentUserRolesResponse, G as GetSiteContributorsRequest, r as GetSiteContributorsResponse, af as GetSiteContributorsV2Options, D as GetSiteContributorsV2Request, E as GetSiteContributorsV2Response, M as HandleSiteTransferRequest, O as HandleSiteTransferResponse, I as InviteStatus, K as LimitedOptions, X as LocalizedRole, L as LocationsRestriction, N as Name, w as PendingOwner, P as PersonMetaData, v as Policy, z as PredefinedRole, y as PredefinedRoles, a8 as QuerySiteContributorsFilter, a7 as QuerySiteContributorsRequest, k as Resource, R as ResourceType, i as Restriction, j as RestrictionRestrictionsOneOf, B as Role, u as SiteInvite, a6 as SiteLocationAssignment, n as SiteRestriction, a4 as SiteRoleAssignment, p as Subject, q as SubjectContext, f as SubjectContextType, S as SubjectType, s as Team, T as Type, U as User, $ as UserLocalizedRoles, Z as UserSubject } from './identity-v1-contributor-contributors.universal-B0tzR-hk.mjs';

declare function changeRole$1(httpClient: HttpClient): ChangeRoleSignature;
interface ChangeRoleSignature {
    /**
     * Overrides all the roles of a contributor for the specified site.
     * @param - Contributor's account ID.
     * @param - Filter options. The `newRoles` field **must** be passed.
     */
    (accountId: string, options: ChangeRoleOptions): Promise<ChangeContributorRoleResponse>;
}
declare function changeContributorLocation$1(httpClient: HttpClient): ChangeContributorLocationSignature;
interface ChangeContributorLocationSignature {
    /** @param - Contributor's account ID. */
    (accountId: string, options: ChangeContributorLocationOptions): Promise<ChangeContributorLocationResponse>;
}
declare function querySiteContributors$1(httpClient: HttpClient): QuerySiteContributorsSignature;
interface QuerySiteContributorsSignature {
    /**
     * Retrieves a list of contributors for the specified site, given the provided filters.
     * @param - Filter options.
     */
    (options?: QuerySiteContributorsOptions | undefined): Promise<QuerySiteContributorsResponse>;
}

declare const changeRole: MaybeContext<BuildRESTFunction<typeof changeRole$1> & typeof changeRole$1>;
declare const changeContributorLocation: MaybeContext<BuildRESTFunction<typeof changeContributorLocation$1> & typeof changeContributorLocation$1>;
declare const querySiteContributors: MaybeContext<BuildRESTFunction<typeof querySiteContributors$1> & typeof querySiteContributors$1>;

export { ChangeContributorLocationOptions, ChangeContributorLocationResponse, ChangeContributorRoleResponse, ChangeRoleOptions, QuerySiteContributorsOptions, QuerySiteContributorsResponse, changeContributorLocation, changeRole, querySiteContributors };
