import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { G as GetSiteContributorsV2Options, a as GetSiteContributorsV2Response, C as ChangeRoleOptions, b as ChangeContributorRoleResponse, c as ChangeContributorLocationOptions, d as ChangeContributorLocationResponse, Q as QuerySiteContributorsOptions, e as QuerySiteContributorsResponse, f as GetContributorsQuotaResponse } from './identity-v1-contributor-contributors.universal-DLzpcW8B.js';
export { w as AccountInfo, af as AppInvite, j as AssignedPolicy, A as Assignment, _ as BulkGetUserRolesOnSiteRequest, a0 as BulkGetUserRolesOnSiteResponse, a2 as BulkValidateEmailInviteEligibilityRequest, a3 as BulkValidateEmailInviteEligibilityResponse, a7 as ChangeContributorLocationRequest, a5 as ChangeContributorRoleRequest, q as CompanionResource, o as Condition, g as ConditionAttributeType, n as Conditions, i as Contributor, B as ContributorLimit, ab as ContributorV2, K as ContributorsQuota, M as ContributorsQuotaOptionsOneOf, a4 as EmailInviteEligibility, F as FieldSet, ad as GetAppContributorsRequest, ae as GetAppContributorsResponse, ac as GetContributorsQuotaRequest, X as GetCurrentUserRolesRequest, Y as GetCurrentUserRolesResponse, t as GetSiteContributorsRequest, u as GetSiteContributorsResponse, J as GetSiteContributorsV2Request, V as HandleSiteTransferRequest, W as HandleSiteTransferResponse, I as InviteStatus, O as LimitedOptions, Z as LocalizedRole, L as LocationsRestriction, N as Name, z as PendingOwner, P as PersonMetaData, y as Policy, E as PredefinedRole, D as PredefinedRoles, aa as QuerySiteContributorsFilter, a9 as QuerySiteContributorsRequest, m as Resource, R as ResourceType, k as Restriction, l as RestrictionRestrictionsOneOf, H as Role, x as SiteInvite, a8 as SiteLocationAssignment, p as SiteRestriction, a6 as SiteRoleAssignment, r as Subject, s as SubjectContext, h as SubjectContextType, S as SubjectType, v as Team, T as Type, U as User, a1 as UserLocalizedRoles, $ as UserSubject } from './identity-v1-contributor-contributors.universal-DLzpcW8B.js';

/** @internal */
declare function getSiteContributorsV2$1(httpClient: HttpClient): GetSiteContributorsV2Signature;
interface GetSiteContributorsV2Signature {
    /**
     * returns a list of all the contributors + invites to be contributors of a given meta site ID taken from the
     * context.
     */
    (options?: GetSiteContributorsV2Options | undefined): Promise<GetSiteContributorsV2Response>;
}
declare function changeRole$1(httpClient: HttpClient): ChangeRoleSignature;
interface ChangeRoleSignature {
    /**
     * Overrides all the roles of a contributor for the specified site.
     * @param - Contributor's account ID.
     * @param - Filter options. The `newRoles` field **must** be passed.
     */
    (accountId: string, options: ChangeRoleOptions): Promise<ChangeContributorRoleResponse>;
}
declare function changeContributorLocation$1(httpClient: HttpClient): ChangeContributorLocationSignature;
interface ChangeContributorLocationSignature {
    /** @param - Contributor's account ID. */
    (accountId: string, options: ChangeContributorLocationOptions): Promise<ChangeContributorLocationResponse>;
}
declare function querySiteContributors$1(httpClient: HttpClient): QuerySiteContributorsSignature;
interface QuerySiteContributorsSignature {
    /**
     * Retrieves a list of contributors for the specified site, given the provided filters.
     * @param - Filter options.
     */
    (options?: QuerySiteContributorsOptions | undefined): Promise<QuerySiteContributorsResponse>;
}
/** @internal */
declare function getContributorsQuota$1(httpClient: HttpClient): GetContributorsQuotaSignature;
interface GetContributorsQuotaSignature {
    /**
     * returns the quota information for contributors on the given site.
     */
    (): Promise<GetContributorsQuotaResponse>;
}

/** @internal */
declare const getSiteContributorsV2: MaybeContext<BuildRESTFunction<typeof getSiteContributorsV2$1> & typeof getSiteContributorsV2$1>;
declare const changeRole: MaybeContext<BuildRESTFunction<typeof changeRole$1> & typeof changeRole$1>;
declare const changeContributorLocation: MaybeContext<BuildRESTFunction<typeof changeContributorLocation$1> & typeof changeContributorLocation$1>;
declare const querySiteContributors: MaybeContext<BuildRESTFunction<typeof querySiteContributors$1> & typeof querySiteContributors$1>;
/** @internal */
declare const getContributorsQuota: MaybeContext<BuildRESTFunction<typeof getContributorsQuota$1> & typeof getContributorsQuota$1>;

export { ChangeContributorLocationOptions, ChangeContributorLocationResponse, ChangeContributorRoleResponse, ChangeRoleOptions, GetContributorsQuotaResponse, GetSiteContributorsV2Options, GetSiteContributorsV2Response, QuerySiteContributorsOptions, QuerySiteContributorsResponse, changeContributorLocation, changeRole, getContributorsQuota, getSiteContributorsV2, querySiteContributors };
